.TH Gnuplot 1 "	15 October 1987" "X Version 11"
.SH NAME
Gnuplot - a command driven interactive plotting program.
.SH SYNOPSIS
.B gnuplot [ options ] 
.SH DESCRIPTION
.I Gnuplot
is a command driven, interactive plotting program which can draw
graphs either an X11 window or into a Postscript file which can then
be printed on a Postscript-using printer.  Output drivers for several
other kinds of hardcopy plotters and personal computer graphic
displays are also available.
.PP
It is extremely simple to display graphs of mathematical functions
using gnuplot.  For example, if you want to view the parabola defined
by the equation: 

 	y = x^2

then, after entering gnuplot and receiving the prompt "gnuplot>",
simply type:

 	plot x**2

(gnuplot, like Fortran, uses the syntax x**y to denote exponentation).
.PP
The X values plotted range by default from -10 to +10.  The graph
scaling in both the X and Y directions is done automatically according
to the values that need to be plotted.
.PP
Different commands exist to change the plotting style, manually set
ranges and scaling, change output devices, etc.  Also, there is a
fairly good library of mathematical functions.  All of these functions
work in the complex plane, as gnuplot does all of its calculations using
complex numbers.  (Only real numbers actually get plotted, though.
Complex domain plotting waits for a future enhancement).
.PP
There is a built in help system which you can access by typing "help"
to the "gnuplot>" prompt.  Typing "help ?" lists all the topics that
the help system knows about.  Examining the help for each of the topics,
in the order that "help ?" lists them, shows you all of the material
in the printed gnuplot manual.
.PP
gnuplot was written by Thomas Williams and Colin Kelley at Villanova
University in Pennsylvania.  The X window driver and some other
features were added at MIT.  There is at the moment no connection
between the original gnuplot authors and the GNU project of the Free
Software Foundation Inc.  gnuplot's name might have been chosen
because the authors intend to contribute the program to the GNU
project someday, or it might be a coincidence.  All attempts to date
to get in touch with them and get this question answered have failed.
.SH "HARD COPY"
.PP
.I Gnuplot
will can formats plots for a postscript printer and send them to a
file, the commands to do this are:
.br
   
.br
gnuplot> set terminal postscript 
.br
gnuplot> set output "<filename>" 
.br
gnuplot> replot 
.br 
gnuplot> set terminal xwindow 
.br
    
.br
The quotation marks are important.  You may now simply print the file
on a postscript printer.
.PP
.SH "OPTIONS"
.PP
.TP 8
.B \fIhost\fP:\fIdisplay\fP
Normally,
.I Gnuplot
gets the host and display number to use from the environment
variable ``DISPLAY''.  One can, however specify them explicitly.
The
.I host
specifies which machine to create the window on, and
the
.I number
argument specifies the display number.
For example,
``orpheus:1'' creates a shell window on display one on the machine
orpheus.
.PP
.TP 8
.B \-d \fIprint standard .Xdefaults\fP
The 'default' .Xdefaults will be printed to standard out.  You may then change
the values to suit your particular needs.
.PP
.TP 8
.B \-f fontname \fISet the Font\fP
This sets the font used for the text.
.PP
.TP 8
.B \-r \fIreverse video\fP
The foreground and background colors will be switched.  The default colors
are black on white.
.PP
.SH "X DEFAULTS"
.I Gnuplot
uses a number of standard default values.
.PP
.TP 8
.B ReverseVideo
If `on', reverse the definition of foreground and background color.
.PP
.TP 8
.B Geometery
This uses a standard geometry string to set the position of the window that
contains the plot.  The height and width fields are ignored.
.PP
.TP 8
.B Font
.br
The font to be used for all text in the plot window.
.PP
.SH BUGS
There probabally are some.
.PP
.SH AUTHOR
Thomas Williams, Colin Kelley
.br
Copyright (C) 1986, 1987  Thomas Williams, Colin Kelley.
.br
X Window Driver added by Paul Ruben (MIT - Project Athena).
.br
X Defaults and command line options added by Chris Peterson (MIT -
Project Athena).
